Get stacker and signer set information

Retrieves stacker and signer set information for a given cycle.

GET

Parameters

Path Parameters

cycle_number
REQUIRED
integer reward cycle number

Query Parameters

tip
string Stacks chain tip to query from. Options: - (empty/omitted): Use latest anchored tip (canonical confirmed state) - `latest`: Use latest known tip including unconfirmed microblocks. If no unconfirmed state is available, falls back to the confirmed canonical tip. If the unconfirmed state check fails with an error, returns 404. - `{block_id}`: Use specific block ID (64 lowercase hex characters) **Note:** If `tip` is present but contains an invalid or malformed value (i.e., not `latest` and not a valid 64-character hex block ID), the node silently falls back to the latest anchored tip (same as omitting `tip`).
Status codeDescription
200Information for the given reward cycle
400Could not fetch the given reward set
404Reward cycle not found or does not exist
cURL
curl -L \
"https://api.hiro.so/v3/stacker_set/{cycle_number}?tip={tip}" \
-H 'Accept: application/json'
Response
{
"stacker_set": {
"rewarded_addresses": [
{
"Standard": [
{
"bytes": "SP318Q55DEKHRXJK696033DQN5C54D9K2EE6DHRWP",
"version": 0
}
]
}
],
"signers": [
{
"signing_key": "string",
"weight": 0,
"stacked_amt": "1000000"
}
],
"pox_ustx_threshold": "1000000"
}
}

How is this guide?